#
# spec file for package dracut-saltboot
#
# Copyright (c) 2020 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           dracut-saltboot
Version:        0.1.1628156312.dbd0dec
Release:        1.30.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         dracut-saltboot-%{version}.tar.xz
Summary:        SALT-based PXE network boot dracut module
License:        GPL-2.0
Group:          System/Packages
BuildArch:      noarch
BuildRequires:  dracut
Requires:       dracut

%description
dracut module for booting SALT-based PXE images.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/lib/dracut/modules.d/50saltboot
cp -R saltboot/* %{buildroot}/usr/lib/dracut/modules.d/50saltboot
chmod 755 %{buildroot}/usr/lib/dracut/modules.d/50saltboot/*

%files
%defattr(-,root,root,-)
/usr/lib/dracut/modules.d/50saltboot

%changelog
* Wed Aug  4 2021 nadvornik@suse.com
- Fix dependencies of python libs (bsc#1188846)
- Update to version 0.1.1628156312.dbd0dec
* Wed Jul 28 2021 nadvornik@suse.com
- Force installation of libexpat.so.1 (bsc#1188846)
- Update to version 0.1.1627546504.96a0b3e
* Fri May 28 2021 nadvornik@suse.com
- Use kernel parameters from PXE formula also for local boot
* Mon Feb  1 2021 nadvornik@suse.com
- Use saltboot/defaults file
- Update to version 0.1.1614159840.ef7cad5
* Wed Sep  9 2020 nadvornik@suse.com
- Support autosign grains in saltboot intrd
- Update to version 0.1.1602150122.f08af0a
* Fri Aug 14 2020 oholecek@suse.com
- Set wicked to use plain mac address for computing DHCP DUID
- Copy wicked lease xml file to prevent query for second IP address
  (bsc#1173268)
* Tue Jul 21 2020 nadvornik@suse.com
- Use automatic RAID assembly only in the first phase before
  start of salt
- Update to version 0.1.1595937550.0285244
* Tue May 12 2020 nadvornik@suse.com
- Print a list of available disk devices (bsc#1170824)
- Install wipefs to initrd
- Update to version 0.1.1590413773.a959db7
* Thu Apr 23 2020 nadvornik@suse.com
- Force install crypt modules
- Update to version 0.1.1588156049.952b58d
* Thu Apr  9 2020 oholecek@suse.com
- Add missing terminal naming modifiers as exported veriables
- Update to version 0.1.1587051918.6bc9e88
* Mon Mar 16 2020 nadvornik@suse.com
- Assemble existing RAIDs before searching for salt configuration
- Update to version 0.1.1585064259.12b97ef
* Wed Mar 11 2020 nadvornik@suse.com
- Force installation of raid1 kernel module
* Tue Mar 10 2020 nadvornik@suse.com
- Use more reliable progress output
* Sat Feb 29 2020 oholecek@suse.com
- Use start event grains to avoid extra grains calls
- Update to version 0.1.1583842676.2fc2fa6
* Wed Jan 29 2020 oholecek@suse.com
- Add support for FQDN as a terminal name
- Update to version 0.1.1580471316.1839544
* Thu Jan  9 2020 oholecek@suse.com
- Source wicked network information to access IPADDR and DNSDOMAIN variables
- Replace systemException functions by log and reboot actions
- Stop waiting for devices when dracut timeout is hit
- Update to version 0.1.1579102150.4716559
* Wed Nov 20 2019 oholecek@suse.com
- Include swapon in saltboot initrd
- Update to version 0.1.1574263639.c30ba46
* Mon Aug 19 2019 nadvornik@suse.com
- Updated for SLES15
- Update to version 0.1.1573133286.06608d5
* Tue Aug 13 2019 nadvornik@suse.com
- Copy saltboot.sh from kiwi-desc-saltboot
* Mon Nov 20 2017 nadvornik@suse.com
- new package
